<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.ejb3.service.timer-service.database-data-store">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allow-execution,database,datasource-jndi-name,partition,refresh-interval"/>
        <elem name="addr-params" value="profile,subsystem,service,database-data-store"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ejb3"/>
    </annotation>
    <refs>
        <ref feature="subsystem.ejb3.service.timer-service"/>
        <ref feature="subsystem.ejb3"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="database" nillable="true"/>
        <param name="datasource-jndi-name"/>
        <param name="partition" nillable="true"/>
        <param name="service" feature-id="true" default="timer-service"/>
        <param name="allow-execution" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="database-data-store" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="ejb3"/>
        <param name="refresh-interval" nillable="true"/>
    </params>
</feature-spec>